"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const DrawerToggle_1 = __importDefault(require("./DrawerToggle"));
const Tabs_1 = __importDefault(require("./Tabs"));
const react_shared_1 = require("@dgui/react-shared");
const react_web_1 = require("@dgui/react-web");
const react_1 = require("react");
const styles = {
    tabBar: {
        alignItems: 'center',
        backgroundColor: '#CCC',
        display: 'flex',
        flexDirection: 'row',
        position: 'relative',
        zIndex: 2
    }
};
const AppBar = () => {
    const { selectTab, tabIndex } = (0, react_1.useContext)(react_shared_1.TabIndexContext);
    const handleSelectTab = (0, react_1.useCallback)((index) => {
        selectTab(index);
    }, [
        selectTab
    ]);
    const { tabOrder, tabs } = (0, react_1.useContext)(react_shared_1.TabContext);
    const routes = (0, react_1.useMemo)(() => {
        return tabOrder.map((tabId) => {
            var _a, _b, _c, _d;
            return ({
                accessibilityLabel: (_b = (_a = tabs[tabId]) === null || _a === void 0 ? void 0 : _a.title) !== null && _b !== void 0 ? _b : tabId,
                icon: undefined,
                key: tabId,
                title: (_d = (_c = tabs[tabId]) === null || _c === void 0 ? void 0 : _c.title) !== null && _d !== void 0 ? _d : tabId
            });
        });
    }, [
        tabOrder,
        tabs
    ]);
    return ((0, jsx_runtime_1.jsx)(react_web_1.ReactWebDigestAppBar, { children: (0, jsx_runtime_1.jsxs)("div", { style: styles.tabBar, children: [(0, jsx_runtime_1.jsx)(DrawerToggle_1.default, {}), (0, jsx_runtime_1.jsx)(Tabs_1.default, { defaultIndex: tabIndex, onSelectTab: handleSelectTab, routes: routes })] }) }));
};
exports.default = AppBar;
