"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const Tabs_1 = __importDefault(require("./Tabs"));
const react_shared_1 = require("@dgui/react-shared");
const react_web_1 = require("@dgui/react-web");
const react_1 = require("react");
const styles = {
    tabBar: {
        backgroundColor: '#CCC',
        display: 'flex',
        flexDirection: 'row'
    }
};
const DrawerBar = () => {
    const { drawerIndex, selectDrawer } = (0, react_1.useContext)(react_shared_1.DrawerIndexContext);
    const handleSelectDrawer = (0, react_1.useCallback)((tabIndex) => {
        selectDrawer(tabIndex);
    }, [
        selectDrawer
    ]);
    const { drawerOrder, drawers } = (0, react_1.useContext)(react_shared_1.DrawerContext);
    const routes = (0, react_1.useMemo)(() => {
        return drawerOrder.map((drawerId) => {
            var _a, _b;
            return ({
                key: drawerId,
                title: (_b = (_a = drawers[drawerId]) === null || _a === void 0 ? void 0 : _a.title) !== null && _b !== void 0 ? _b : drawerId
            });
        });
    }, [
        drawerOrder,
        drawers
    ]);
    return ((0, jsx_runtime_1.jsx)(react_web_1.ReactWebDigestDrawerBar, { children: (0, jsx_runtime_1.jsx)("div", { style: styles.tabBar, children: (0, jsx_runtime_1.jsx)(Tabs_1.default, { defaultIndex: drawerIndex, onSelectTab: handleSelectDrawer, routes: routes }) }) }));
};
exports.default = DrawerBar;
